Subject: [Isis-wg] Question about subTLVs 6 & 8 of TLV 22

From: David Hudek <[email-masked]>
Date: Mon, 19 Nov 2001 20:50:03 -0500

hi all,

I was starting to look more closely at the draft
ISIS Extensions for Traffic Engineering rfc, and of course,
found myself looking at an old out-of-date copy :-)
I quickly switched to the latest, but then noticed
a change I have a question about.

Back in version 02, when discussing subTLVs 6 and 8
of the Extended IS Reachability TLV (22),
there was a proposed scheme for encoding IP addresses
when the interface in question essentially had none... 
when it was an unnumbered point-to-point link
(although it would only seem to work if the interfaceID
of the unnumbered interface would fit into 16 bits?)
[basically, put the advertising rtrID in the iface addr
subTlv(6), and the low 16 bits of the interface id in 
the nbr addr subTlv(8)]

In the latest version (04, I believe), that text seems to have 
been removed, which begs the question, why?  and how ought one 
encode address info for unnumbered point-to-points?

I skimmed the old mails and didn't notice discussion
about it... if I missed it and this is a boring rehash :-),
can someone just point me to the subject lines
and/or dates?  If not, can anyone shed light on
the rationale for the change and how unnumbered
p2p's should be treated?

Thanks in advance,
dave h
[email-masked]
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg